Skip to content
Documentation

Create a webhook subscription

POST
/v1/public-api/webhooks

Scope: webhooks:write. The URL must be a public HTTPS address. The signing secret (secret) is returned only in this response. Idempotency-Key is required.

Authorization

integrationKey
headerAuthorizationBearer <cf_sk_…>

Organization API key (cf_sk_…), created under Organization → API and automations → API keys and sent as Authorization: Bearer cf_sk_….

Header Parameters

Idempotency-Key*string
Lengthlength <= 200

Request Body

application/json
  1. body
name*string
Length1 <= length <= 120
url*string

Public HTTPS URL. Private addresses, redirects and DNS rebinding are blocked.

Formaturi
events*array<string>
Items1 <= items
enabled*boolean

Response Body

Success

application/json
  1. response
success*boolean
data*unknown
meta?
Example Request
curl -X POST 'https://api.getclickfix.com/v1/public-api/webhooks' \  -H 'Idempotency-Key: string' \  -H 'Content-Type: application/json' \  -d '{  "name": "ERP sync",  "url": "https://erp.example.com/clickfix/webhook",  "events": [    "conversation.created",    "message.received",    "contact.updated"  ],  "enabled": true}'
Example Response
{  "success": true,  "data": {    "uuid": "7a8b9c0d-1e2f-4a3b-8c4d-5e6f7a8b9c0d",    "name": "ERP sync",    "url": "https://erp.example.com/clickfix/webhook",    "events": [      "conversation.created",      "message.received",      "contact.updated"    ],    "enabled": true,    "created_at": "2026-11-01T10:00:00Z",    "secret": "whsec_3f9c1a7e5b2d4c8f0a6e9b1d3c5f7a2e4b6d8c0f1a3e5b7d9c2f4a6e8b0d1c3f"  },  "meta": {    "request_id": "01JCK9ZQ3M8R2W7X5E4T1N0PAB"  }}